Name: openmotif
Version: 2.2.2
Release: alt2
%define realname openMotif
%define srcname %realname-%version
%def_with demos

Summary: The Open Motif
License: Open Group Public License
Group: System/Libraries
Url: http://www.motifzone.org/

Source: ftp://ftp.ics.com/pub/Products/Motif/%srcname.tar.bz2

Patch1: openmotif-2.2.0-rhl.patch
Patch11: openmotif-2.2.2-alt-DefaultUserPath.patch
Patch12: openmotif-2.2.2-alt-VARDIR.patch
Patch13: openmotif-2.2.2-rh-config.patch
Patch14: openmotif-2.2.2-rh-maxlinelen.patch
Patch15: openmotif-2.2.1-rh-libtool.patch
Patch16: openmotif-2.2.2-rh-libtool.patch

Provides: motif

%package devel
Summary: Include files for Motif-2.1 development
Group: Development/C
Requires: %name = %version
Conflicts: lesstif-devel
Provides: motif-devel

%package devel-static
Summary: Static libraries for Motif-2.1 development
Group: Development/C
Requires: %name-devel = %version
Conflicts: lesstif-devel-static
Provides: motif-devel-static

%package mwm
Summary: Motif window manager
Group: Graphical desktop/Motif
Requires: %name = %version
Conflicts: lesstif-mwm
Provides: motif-mwm

%package clients
Summary: Motif clients
Group: Graphical desktop/Motif
Requires: %name = %version
Conflicts: lesstif-clients
Provides: motif-clients

%package demos
Summary: Motif-2.1 demo applications
Group: Development/C
Requires: %name = %version

%package doc
Summary: Motif-2.1 documentation
Group: Development/C
Requires: %name = %version

%description
Open Motif - the industry standard user interface toolkit for the X Window System.
This package contains shared libraries required to run Motif applications.

%description mwm
Open Motif - the industry standard user interface toolkit for the X Window System.
This package contains mwm - Motif window manager.

%description clients
Open Motif - the industry standard user interface toolkit for the X Window System.
This package contains uil and xmbind.

%description devel
Open Motif - the industry standard user interface toolkit for the X Window System.
This package contains the Motif header files required to develop Motif applications.

%description devel-static
Open Motif - the industry standard user interface toolkit for the X Window System.
This package contains the Motif static libraries.

%description demos
Open Motif - the industry standard user interface toolkit for the X Window System.
This package contains the Motif demo applications.

%description doc
Open Motif - the industry standard user interface toolkit for the X Window System.
This package contains the Motif documentation in ps-format.

%prep
%setup -q -n %srcname
%patch1 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

%build
%add_optflags -D_FILE_OFFSET_BITS=64
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" \
./configure %_configure_target \
	--prefix=%_x11dir \
	--enable-shared \
	--enable-static

make clean
# SMP-incompatible build.
make

%install
mkdir -p $RPM_BUILD_ROOT%_x11dir/{lib/X11/app-defaults,include/X11,doc}
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/X11/{app-defaults,mwm,xinit.d}
%__ln_s ../../..%_x11bindir/xmbind $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/

%make_install install \
	DESTDIR=$RPM_BUILD_ROOT \
	VARDIR="$RPM_BUILD_ROOT%_x11libdir/X11"

mv $RPM_BUILD_ROOT%_x11libdir/X11/system.mwmrc $RPM_BUILD_ROOT%_sysconfdir/X11/mwm
for f in $RPM_BUILD_ROOT%_x11libdir/X11/app-defaults/*; do
	[ -f "$f" ] || continue
	%__mv "$f" $RPM_BUILD_ROOT%_sysconfdir/X11/app-defaults/
done
#mv $RPM_BUILD_ROOT%_x11includedir/uil $RPM_BUILD_ROOT%_x11includedir/X11

%if_with demos
/bin/ls -1 $RPM_BUILD_ROOT%_x11bindir/* |
	%__sed -e "s,$RPM_BUILD_ROOT,,g" |
	%__grep -Ev '/(mwm|uil|xmbind)$' >demos.list
%endif

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%pre devel
%__rm -f %_x11includedir/{Mrm,Xm} >/dev/null 2>&1 ||:

%files
%_x11libdir/*.so.*
#%config %_sysconfdir/X11/app-defaults/Xmd*
#%config %_sysconfdir/X11/app-defaults/Fileview
#%_x11libdir/X11/uid
%doc BUGREPORT CLOSEDBUGS COPYRIGHT.MOTIF OPENBUGS README RELEASE RELNOTES TODO

%files devel
%_x11libdir/*.so
%_x11libdir/*.la
%_x11includedir/Mrm
%_x11includedir/Xm
%_x11includedir/uil
%_x11includedir/X11/bitmaps/*
%_x11mandir/man3/*

%files devel-static
%_x11libdir/*.a

%files clients
%_sysconfdir/X11/xinit.d/xmbind
%_x11libdir/X11/bindings
%_x11bindir/xmbind
%_x11bindir/uil
%_x11mandir/man1/uil.1*
%_x11mandir/man1/xmbind.1*
%_x11mandir/man5/*

%files mwm
%dir %_sysconfdir/X11/mwm
%config %_sysconfdir/X11/mwm/*
#%config %_sysconfdir/X11/app-defaults/Mwm
%_x11bindir/mwm
%_x11mandir/man1/mwm.1*
%_x11mandir/man4/*

%if_with demos
%files demos -f demos.list
%_x11datadir/Xm
%_x11mandir/manm/*
%endif

%changelog
* Thu Oct 31 2002 Dmitry V. Levin <ldv@altlinux.org> 2.2.2-alt2
- Merged two RH patches: rh-config, rh-maxlinelen.

* Fri Apr 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.2.2-alt1
- 2.2.2

* Sun Mar 18 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.1.30-ipl7mdk
- Moved static libraries to devel-static subpackage.

* Wed Mar 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.1.30-ipl6mdk
- Added bunch of provides.

* Wed Feb 14 2001 Dmitry V. Levin <ldv@fandra.org> 2.1.30-ipl5mdk
- Relocated config files according to FHS.
- Use new group: Graphical desktop/Motif.

* Sun Dec 17 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.30-ipl4mdk
- Updated groups, summaries and descriptions.
- More compatibility with lesstif.

* Tue Jun 20 2000 Dmitry V. Levin <ldv@fandra.org>
- More RE adaptions.

* Wed May 17 2000 AEN <aen@logic.ru>
- build with -O2

* Wed May 17 2000 AEN <aen@logic.ru>
- first build for RE
